package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpMaterialInfoDTO {
   @ApiModelProperty("关键字")
   private String key;
   @ApiModelProperty("类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   private String metadataValue;
   @ApiModelProperty("仓库类别")
   private Integer warehouseType;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("区域id列表")
   private List<Long> areaIdList;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("配置类型(1按货品名称2按货品类别)")
   private Integer configType;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("导出字段")
   private List<String> exportCols;

   @ApiModelProperty("是否分页")
   private Integer isPaging =0;

   public Integer getIsPaging() {
      return isPaging;
   }

   public void setIsPaging(Integer isPaging) {
      this.isPaging = isPaging;
   }

   public String getKey() {
      return this.key;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getMetadataValue() {
      return this.metadataValue;
   }

   public Integer getWarehouseType() {
      return this.warehouseType;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Integer getConfigType() {
      return this.configType;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public List<String> getExportCols() {
      return this.exportCols;
   }

   public void setKey(final String key) {
      this.key = key;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setMetadataValue(final String metadataValue) {
      this.metadataValue = metadataValue;
   }

   public void setWarehouseType(final Integer warehouseType) {
      this.warehouseType = warehouseType;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setConfigType(final Integer configType) {
      this.configType = configType;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

   @Override
   public String toString() {
      return "DrpMaterialInfoDTO{" +
              "key='" + key + '\'' +
              ", categoryIdList=" + categoryIdList +
              ", warehouseId=" + warehouseId +
              ", metadataValue='" + metadataValue + '\'' +
              ", warehouseType=" + warehouseType +
              ", materialType=" + materialType +
              ", areaIdList=" + areaIdList +
              ", areaId=" + areaId +
              ", canteenId=" + canteenId +
              ", configType=" + configType +
              ", canteenName='" + canteenName + '\'' +
              ", exportCols=" + exportCols +
              ", isPaging=" + isPaging +
              '}';
   }
}
